Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
gimp.2.10.18 plugins
#1
Hi, new to the forum, i couldn't post a thread in the gimp 2.10 section saw it was an issue for others. 

So starting this thread to hopefully catch some plugin sources for the latest release of gimp. specifically for myself the layer effects plugin which isn't compatible with .118 as ive seen some others aren't. If i come across any I'll post them here, if anyone else does it would be greatly appreciated if you could. thanks
Reply
#2
The note against the Gimp 2.10 section gives the reason.

Forum for 2.10 questions. Since 2.10 is now in wide usage, Gimp 2.10 questions should go in the general section. You can no longer ask questions here, but you can still answer existing questions.

LayerFX is a really old plugin, most of the effects can be replicated with regular Gimp tools. Get to know how to bump-map for example. Otherwise some great plug-ins around. Start off with the gmic_gimp_qt plugin http://www.gmic.eu

Quote:...If i come across any I'll post them here,..

Please use the appropriate section General Questions or maybe Extending The Gimp
Reply
#3
Thank you, i havent used bump map but for what im trying to create the layer effects would work so much better, appreciete the link man thanks.
Reply
#4
(04-13-2020, 04:52 PM)jordo128 Wrote: the layer effects plugin which isn't compatible with .118 
.118?

I rarely use it, but LayerFX is still mostly working for me on 2.10.18-5.

Spot checking the effects, the only thing I had trouble with was browsing for a pattern when using Pattern Overlay.
Code:
Plug-in "layerfx.2.8.py"
attempted to install procedure "temp-procedure-number-13" with invalid parameter name "mask width".
Reply
#5
akovia, typo, meant .18 the latest gimp update, youre using this and the plugin is working?
Reply
#6
(04-14-2020, 01:22 PM)jordo128 Wrote: akovia, typo, meant .18 the latest gimp update, youre using this and the plugin is working?

Yeah. other then the browse for pattern as I mentioned. 

I doubt my version is newer than yours. Mine is older than dirt, but I attached it just in case.

I also have iccii-layer-effects that was updated in 2013 it appears. It has many more effects, but some of the fancy ones don't work. It also uses a menu from the menu bar instead of right-clicking on the layer. Maybe one of these will get you what you need.


.zip   layerfx.2.8.py.zip (Size: 28.83 KB / Downloads: 198)

.zip   iccii-layer-effects.scm.zip (Size: 9.96 KB / Downloads: 140)
Reply
#7
Thumbs Up 
Mate, thank you, this works awesome
Reply
#8
(04-14-2020, 04:14 PM)akovia Wrote:
(04-14-2020, 01:22 PM)jordo128 Wrote: akovia, typo, meant .18 the latest gimp update, youre using this and the plugin is working?

Yeah. other then the browse for pattern as I mentioned. 

I doubt my version is newer than yours. Mine is older than dirt, but I attached it just in case.

I also have iccii-layer-effects that was updated in 2013 it appears. It has many more effects, but some of the fancy ones don't work. It also uses a menu from the menu bar instead of right-clicking on the layer. Maybe one of these will get you what you need.

Simply doesn't work here. I've been trying to install it for months. I put it in the folder but the "Layer Options" simply doesn't appear for me!
Linux, 2.10.18 here.
Reply
#9
If the layerfx plugin is not going to work for you, then it is not going to work. You should try and find out why.

What linux distro are you using and where does the Gimp 2.10.18 come from ?

Truthfully layerfx.py is not as useful as it once was. Some functions do not work and the ones that do are easily replicated using standard Gimp tools.

However layerfx is python so check that python is enabled in your Gimp 2.10.18  Look for the Python-Fu entry in the Filters menu.  After that the usual; plugin is in the user profile ~/.config/GIMP/2.10/plug-ins and is executable.

You might also consider using a flatpak or an appimage both are now Gimp 2.10.20  Screenshot using appimage / kubuntu 18.04

   
Reply


Forum Jump: